# Uses of Class
org.eclipse.emf.spi.cdo.CDOSessionProtocol.RefreshSessionResult

Packages that use CDOSessionProtocol.RefreshSessionResult
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOSessionProtocol.RefreshSessionResult in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOSessionProtocol.RefreshSessionResult
Modifier and Type
Method
Description
`CDOSessionProtocol.RefreshSessionResult`
CDOSessionProtocol.RefreshSessionResult.Provider.`getRefreshSessionResult(Map<CDOBranch,List<InternalCDOView>> views, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)`
`CDOSessionProtocol.RefreshSessionResult`
CDOSessionProtocol.`refresh(long lastUpdateTime, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions, int initialChunkSize, boolean enablePassiveUpdates)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOSessionProtocol.RefreshSessionResult
Modifier and Type
Method
Description
`void`
InternalCDOSession.`processRefreshSessionResult(CDOSessionProtocol.RefreshSessionResult result, CDOBranch branch, List<InternalCDOView> branchViews, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)`